#procedure loopsymmetries()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to minimize loop integrals in boxes
** Begun on 04/12/03


** Let's begin with the 4-point function **

* For crossing symmetries we reduce the loop number 3->1 in T?(4,...) or 2->1 in T?(3,...)
* For full symmetries we use the symmetrize option in matching arguments.


if     (match(T2(4,3,3)));
 id T2(4,3,3)*Targ(k1s?,k12s?,k23s?,k3s?,k2s?,k13s?,MM0?,MM1?,MM2?,MM3?)=
    T2(4,1,1)*Targ(k3s ,k23s ,k12s ,k1s ,k2s ,k13s ,MM0 ,MM3 ,MM2 ,MM1 );

elseif (match(T2(4,2,3)));
 id T2(4,2,3)*Targ(k1s?,k12s?,k23s?,k3s?,k2s?,k13s?,MM0?,MM1?,MM2?,MM3?)=
    T2(4,1,2)*Targ(k3s ,k23s ,k12s ,k1s ,k2s ,k13s ,MM0 ,MM3 ,MM2 ,MM1 );

elseif (match(T1(4,3)));
 id T1(4,3)*Targ(k1s?,k12s?,k23s?,k3s?,k2s?,k13s?,MM0?,MM1?,MM2?,MM3?)=
    T1(4,1)*Targ(k3s ,k23s ,k12s ,k1s ,k2s ,k13s ,MM0 ,MM3 ,MM2 ,MM1 );

elseif (match(T2(3,2,2)));
 id T2(3,2,2)*Targ(k1s?,k12s?,k2s?,MM0?,MM1?,MM2?)=
    T2(3,1,1)*Targ(k2s ,k12s ,k1s ,MM0 ,MM2 ,MM1 ); 

elseif (match(T1(3,2)));
 id T2(3,2)*Targ(k1s?,k12s?,k2s?,MM0?,MM1?,MM2?)=
    T2(3,1)*Targ(k2s ,k12s ,k1s ,MM0 ,MM2 ,MM1 );

elseif ( match(T2(4,2,2)) || match(T2(4,1,3)) || match(T2(4,0,0)) || match(T1(4,2)) || match(T0(4)) );
 symmetrize Targ:10 (1,2,8),(5,3,10);

elseif ( match(T2(3,1,2)) || match(T2(3,0,0)) || match(T0(3)) );
 symmetrize Targ:6 (1,5),(3,6);
endif;


#endprocedure
*$Id: loopsymmetries.prc,v 1.4 2004/10/08 14:28:11 alorca Exp $
