C File <c0w.F> containing the C0 function for finite width
C This file is part of aITALC
C Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
C-----------------------------------------------------------------------
      double complex function C0w(index,
     &     P1S,P2S,P1P2S, !external momenta
     &     cM1S,cM2S,cM3S)
C-----------------------------------------------------------------------
      implicit none
      integer index
      double precision P1S,P2S,P1P2S
      double complex cM1S,cM2S,cM3S
      double precision widthalltogether,minmass

      logical
     &     lrenorm,        !renormalization flag .true./.false.
     &     lwidth,         !propagator's widths .true./.false.
     &     lidentCKM,      !Identity for CKM matrix .true./.false. 
     &     luvcheck,       !UV-check flag
     &     lircheck        !IR-check flag
      common /lflags/ lrenorm,lwidth,lidentCKM,luvcheck,lircheck
#include <variablelist.hf>
#include <looptools.h>
C-----------------------------------------------------------------------
*JUST to remember what index is related with which function, added bb's

*#define bb0 1
*#define bb1 2
*#define bb00 3
*#define bb11 4

*#define cc0 1
*#define cc1 2
*#define cc2 3
*#define cc00 4
*#define cc11 5
*#define cc12 6
*#define cc22 7
*#define cc001 8
*#define cc002 9
*#define cc111 10
*#define cc112 11
*#define cc122 12
*#define cc222 13
C-----------------------------------------------------------------------
C If we don't deal with a finite width, lets call looptools
      widthalltogether=IMAG(cM1S+cM2S+cM3S)
      minmass=DBLE(cM1S)
      if (DBLE(cM2S).LT.minmass) minmass=DBLE(cM2S)
      if (DBLE(cM3S).LT.minmass) minmass=DBLE(cM3S)
      if (.NOT.lwidth) then
 10     C0w=C0i(index,P1S,P2S,P1P2S,DBLE(cM1S),DBLE(cM2S),DBLE(cM3S))
        return
c      elseif ((widthalltogether.EQ.0d0).OR.(minmass.GT.0d0)) then
C Is not the case described down there
c        goto 10
c      elseif ((P1S.LT.0D0).OR.(P2S.LT.0D0).OR.(P1P2S.LT.0D0)) then
C No imaginary part is developed with negative P1S arguments.
c        goto 10
      endif

      C0w=C0iC(index,DCMPLX(P1S),DCMPLX(P2S),DCMPLX(P1P2S),
     &     cM1S,cM2S,cM3S)

C-----------------------------------------------------------------------
      return
      end

CC $Id: c0w.F,v 1.8 2006/09/04 13:23:00 alorca Exp $
